List transcripts

<Note>To retrieve your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note> Retrieve a list of transcripts you created. Transcripts are sorted from newest to oldest and can be retrieved for the last 90 days of usage. The previous URL always points to a page with older transcripts. If you need to retrieve transcripts from more than 90 days ago please reach out to our Support team at support@assemblyai.com. **Pagination** This endpoint returns paginated results. The response includes a `page_details` object with the following properties: - `page_details.limit` - Maximum number of transcripts per page. - `page_details.result_count` - Total number of transcripts returned on the current page. - `page_details.current_url` - URL to the current page. - `page_details.prev_url` - URL to the previous page of older transcripts. - `page_details.next_url` - URL to the next page of newer transcripts.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum amount of transcripts to retrieve
statusenumOptional
Filter by transcript status
Allowed values:
created_onstringOptionalformat: "date"
Only get transcripts created on this date
before_idstringOptionalformat: "uuid"
Get transcripts that were created before this transcript ID
after_idstringOptionalformat: "uuid"
Get transcripts that were created after this transcript ID
throttled_onlybooleanOptionalDefaults to falseDeprecated
Only get throttled transcripts, overrides the status filter

Response

A list of transcripts. Transcripts are sorted from newest to oldest. The previous URL always points to a page with older transcripts.
page_detailsobject
Details of the transcript page
transcriptslist of objects
An array of transcripts

Errors